Source: haskell-vector-instances
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Clint Adams <clint@debian.org>
Priority: optional
Section: haskell
Rules-Requires-Root: no
Build-Depends: debhelper (>= 10),
 haskell-devscripts (>= 0.13),
 cdbs,
 ghc (>= 8),
 ghc-prof,
 libghc-comonad-dev (>= 3),
 libghc-comonad-prof,
 libghc-hashable-dev (>= 1.1.1.0),
 libghc-hashable-prof,
 libghc-keys-dev (>= 3),
 libghc-keys-prof,
 libghc-pointed-dev (>= 3),
 libghc-pointed-prof,
 libghc-semigroupoids-dev (>= 3),
 libghc-semigroupoids-prof,
 libghc-semigroups-dev (>= 0.8.3.1),
 libghc-semigroups-prof,
 libghc-vector-dev (>= 0.9),
 libghc-vector-dev (<< 0.13),
 libghc-vector-prof,
Build-Depends-Indep: ghc-doc,
 libghc-comonad-doc,
 libghc-hashable-doc,
 libghc-keys-doc,
 libghc-pointed-doc,
 libghc-semigroupoids-doc,
 libghc-semigroups-doc,
 libghc-vector-doc,
Standards-Version: 4.5.0
Homepage: https://github.com/ekmett/vector-instances
Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-vector-instances
Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-vector-instances]
X-Description: orphan instances for Data.Vector
 Keyed, Zip, ZipWithKey, Indexable, Lookup, Adjustable, FoldableWithKey,
 Apply, Pointed, Bind, Semigroup, Alt, Plus, TraversableWithKey, Extend,
 Unbox, Storable, and Prim instances for Vector.

Package: libghc-vector-instances-dev
Architecture: any
Depends: ${haskell:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Provides: ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-vector-instances-prof
Architecture: any
Depends: ${haskell:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Provides: ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-vector-instances-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
 ${haskell:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}
